diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete.py
index f5967305..ea2d77fc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete.py
@@ -9,79 +9,165 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import PostgresVersion
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as views_utils
 
 
-class ViewsDeleteTestCase(BaseTestGenerator):
-    """This class will delete the view/mview under schema node."""
-    view_sql = "CREATE OR REPLACE VIEW %s.%s AS SELECT 'Hello World'; " \
-               "ALTER TABLE %s.%s OWNER TO %s"
-    m_view_sql = "CREATE MATERIALIZED VIEW %s.%s TABLESPACE pg_default AS " \
-                 "SELECT 'test_pgadmin' WITH NO DATA;ALTER TABLE %s.%s OWNER" \
-                 " TO %s"
-    scenarios = [
-        ('Delete view under schema node', dict(
-            url='/browser/view/obj/',
-            view_name="test_view_delete_%s" % (str(uuid.uuid4())[1:8]),
-            sql_query=view_sql)),
-        ('Delete materialized view under schema node',
-         dict(url='/browser/mview/obj/',
-              view_name="test_mview_delete_%s" % (str(uuid.uuid4())[1:8]),
-              sql_query=m_view_sql))
-    ]
-
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
+class TestViewDelete:
+    def test_views_delete(self, request, context_of_tests):
+        """
+        When the views delete request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/view/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema.")
+
+        view_name = "test_view_delete_%s" % (str(uuid.uuid4())[1:8])
+        sql_query = "CREATE OR REPLACE VIEW %s.%s AS SELECT 'Hello World'; " \
+                    "ALTER TABLE %s.%s OWNER TO %s"
+        self.view_id = views_utils.create_view(self.server,
+                                               self.db_name,
+                                               self.schema_name,
+                                               sql_query,
+                                               view_name)
+
+        view_response = views_utils.verify_view(self.server, self.db_name,
+                                                view_name)
+        if not view_response:
+            raise Exception("Could not find the view to delete.")
+
+        response = self.tester.delete(
+            "{0}{1}/{2}/{3}/{4}/{5}".format(url, utils.SERVER_GROUP,
+                                            self.server_id, self.db_id,
+                                            self.schema_id, self.view_id
+                                            ),
+            follow_redirects=True
+        )
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'View dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
+
+    @pytest.mark.skip_if_postgres_version(
+        {'below_version': PostgresVersion.v93},
+        "Materialized Views are not supported "
+        "by PG9.2 "
+        "and PPAS9.2 and below.")
+    def test_materialized_views_add(self, request, context_of_tests):
+        """
+        When the materialized views add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/mview/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
         server_response = server_utils.connect_server(self, self.server_id)
 
-        if server_response["data"]["version"] < 90300 and "mview" in self.url:
+        if server_response["data"]["version"] < 90300:
             message = "Materialized Views are not supported by PG9.2 " \
                       "and PPAS9.2 and below."
-            self.skipTest(message)
-
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to delete view.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
+            pytest.skipTest(message)
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to delete the view.")
+            raise Exception("Could not find the schema.")
+
+        view_name = "test_mview_delete_%s" % (str(uuid.uuid4())[1:8])
+        sql_query = "CREATE MATERIALIZED VIEW %s.%s TABLESPACE" \
+                    " pg_default AS " \
+                    "SELECT 'test_pgadmin' WITH NO DATA;" \
+                    "ALTER TABLE %s.%s OWNER" \
+                    " TO %s"
         self.view_id = views_utils.create_view(self.server,
                                                self.db_name,
                                                self.schema_name,
-                                               self.sql_query,
-                                               self.view_name)
+                                               sql_query,
+                                               view_name)
 
-    def runTest(self):
-        """This function will delete the view/mview under schema node."""
         view_response = views_utils.verify_view(self.server, self.db_name,
-                                                self.view_name)
+                                                view_name)
         if not view_response:
             raise Exception("Could not find the view to delete.")
+
         response = self.tester.delete(
-            "{0}{1}/{2}/{3}/{4}/{5}".format(self.url, utils.SERVER_GROUP,
+            "{0}{1}/{2}/{3}/{4}/{5}".format(url, utils.SERVER_GROUP,
                                             self.server_id, self.db_id,
                                             self.schema_id, self.view_id
                                             ),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'View dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get.py
index 2c6c14fc..2bb3d97b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get.py
@@ -9,75 +9,149 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import PostgresVersion
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as views_utils
 
 
-class ViewsGetTestCase(BaseTestGenerator):
-    """This class will fetch the view under schema node."""
-    view_sql = "CREATE OR REPLACE VIEW %s.%s AS SELECT 'Hello World'; " \
-               "ALTER TABLE %s.%s OWNER TO %s"
-    m_view_sql = "CREATE MATERIALIZED VIEW %s.%s TABLESPACE pg_default AS " \
-                 "SELECT 'test_pgadmin' WITH NO DATA;ALTER TABLE %s.%s OWNER" \
-                 " TO %s"
-    scenarios = [
-        ('Get view under schema node', dict(
-            url='/browser/view/obj/',
-            view_name="test_view_get_%s" % (str(uuid.uuid4())[1:8]),
-            sql_query=view_sql)),
-        ('Get materialized view under schema node',
-         dict(url='/browser/mview/obj/',
-              view_name="test_mview_get_%s" % (str(uuid.uuid4())[1:8]),
-              sql_query=m_view_sql))
-    ]
-
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
+class TestViewGet:
+    def test_views_get(self, request, context_of_tests):
+        """
+        When the views get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/view/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema.")
+
+        view_name = "test_view_delete_%s" % (str(uuid.uuid4())[1:8])
+        sql_query = "CREATE OR REPLACE VIEW %s.%s AS SELECT 'Hello World'; " \
+                    "ALTER TABLE %s.%s OWNER TO %s"
+        self.view_id = views_utils.create_view(self.server,
+                                               self.db_name,
+                                               self.schema_name,
+                                               sql_query,
+                                               view_name)
+
+        response = self.tester.get(
+            "{0}{1}/{2}/{3}/{4}/{5}".format(url, utils.SERVER_GROUP,
+                                            self.server_id, self.db_id,
+                                            self.schema_id, self.view_id
+                                            ),
+            follow_redirects=True
+        )
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('oid')
+        json_response | should.have.key('name') > \
+            should.be.equal.to(view_name)
+
+    @pytest.mark.skip_if_postgres_version(
+        {'below_version': PostgresVersion.v93},
+        "Materialized Views are not supported "
+        "by PG9.2 "
+        "and PPAS9.2 and below.")
+    def test_materialized_views_add(self, request, context_of_tests):
+        """
+        When the materialized views add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/mview/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
         server_response = server_utils.connect_server(self, self.server_id)
 
-        if server_response["data"]["version"] < 90300 and "mview" in self.url:
+        if server_response["data"]["version"] < 90300:
             message = "Materialized Views are not supported by PG9.2 " \
                       "and PPAS9.2 and below."
-            self.skipTest(message)
-
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to fetch the view.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
+            pytest.skipTest(message)
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to fetch the view.")
+            raise Exception("Could not find the schema.")
+
+        view_name = "test_mview_delete_%s" % (str(uuid.uuid4())[1:8])
+        sql_query = "CREATE MATERIALIZED VIEW %s.%s TABLESPACE" \
+                    " pg_default AS " \
+                    "SELECT 'test_pgadmin' WITH NO DATA;" \
+                    "ALTER TABLE %s.%s OWNER" \
+                    " TO %s"
         self.view_id = views_utils.create_view(self.server,
                                                self.db_name,
                                                self.schema_name,
-                                               self.sql_query,
-                                               self.view_name)
+                                               sql_query,
+                                               view_name)
 
-    def runTest(self):
-        """This function will fetch the view/mview under schema node."""
         response = self.tester.get(
-            "{0}{1}/{2}/{3}/{4}/{5}".format(self.url, utils.SERVER_GROUP,
+            "{0}{1}/{2}/{3}/{4}/{5}".format(url, utils.SERVER_GROUP,
                                             self.server_id, self.db_id,
                                             self.schema_id, self.view_id
                                             ),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('oid')
+        json_response | should.have.key('name') > \
+            should.be.equal.to(view_name)
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_put.py
index 78cbe25b..f7dbc033 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_put.py
@@ -10,82 +10,176 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import PostgresVersion
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as views_utils
 
 
-class ViewsUpdateTestCase(BaseTestGenerator):
-    """This class will update the view/mview under schema node."""
-    view_sql = "CREATE OR REPLACE VIEW %s.%s AS SELECT 'Hello World'; " \
-               "ALTER TABLE %s.%s OWNER TO %s"
-    m_view_sql = "CREATE MATERIALIZED VIEW %s.%s TABLESPACE pg_default AS " \
-                 "SELECT 'test_pgadmin' WITH NO DATA;ALTER TABLE %s.%s OWNER" \
-                 " TO %s"
-    scenarios = [
-        ('Update view under schema node', dict(
-            url='/browser/view/obj/',
-            view_name="test_view_put_%s" % (str(uuid.uuid4())[1:8]),
-            sql_query=view_sql)),
-        ('Update materialized view under schema node',
-         dict(url='/browser/mview/obj/',
-              view_name="test_mview_put_%s" % (str(uuid.uuid4())[1:8]),
-              sql_query=m_view_sql))
-    ]
-
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
+class TestViewGet:
+    def test_views_get(self, request, context_of_tests):
+        """
+        When the views get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/view/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema.")
+
+        view_name = "test_view_delete_%s" % (str(uuid.uuid4())[1:8])
+        sql_query = "CREATE OR REPLACE VIEW %s.%s AS SELECT 'Hello World'; " \
+                    "ALTER TABLE %s.%s OWNER TO %s"
+        self.view_id = views_utils.create_view(self.server,
+                                               self.db_name,
+                                               self.schema_name,
+                                               sql_query,
+                                               view_name)
+        view_response = views_utils.verify_view(self.server, self.db_name,
+                                                view_name)
+        if not view_response:
+            raise Exception("Could not find the view to update.")
+
+        data = {
+            "id": self.view_id,
+            "comment": "This is test comment"
+        }
+        response = self.tester.put(
+            "{0}{1}/{2}/{3}/{4}/{5}".format(url, utils.SERVER_GROUP,
+                                            self.server_id, self.db_id,
+                                            self.schema_id, self.view_id
+                                            ),
+            data=json.dumps(data),
+            follow_redirects=True)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'view',
+            'pgadmin.node.view',
+            True,
+            'icon-view',
+            view_name
+        )
+
+    @pytest.mark.skip_if_postgres_version(
+        {'below_version': PostgresVersion.v93},
+        "Materialized Views are not supported "
+        "by PG9.2 "
+        "and PPAS9.2 and below.")
+    def test_materialized_views_add(self, request, context_of_tests):
+        """
+        When the materialized views add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/mview/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
+
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
+
         server_response = server_utils.connect_server(self, self.server_id)
 
-        if server_response["data"]["version"] < 90300 and "mview" in self.url:
+        if server_response["data"]["version"] < 90300:
             message = "Materialized Views are not supported by PG9.2 " \
                       "and PPAS9.2 and below."
-            self.skipTest(message)
-
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to update a view.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
+            pytest.skipTest(message)
+
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
                                                       self.schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to update a view.")
+            raise Exception("Could not find the schema.")
+
+        view_name = "test_mview_delete_%s" % (str(uuid.uuid4())[1:8])
+        sql_query = "CREATE MATERIALIZED VIEW %s.%s TABLESPACE" \
+                    " pg_default AS " \
+                    "SELECT 'test_pgadmin' WITH NO DATA;" \
+                    "ALTER TABLE %s.%s OWNER" \
+                    " TO %s"
         self.view_id = views_utils.create_view(self.server,
                                                self.db_name,
                                                self.schema_name,
-                                               self.sql_query,
-                                               self.view_name)
-
-    def runTest(self):
-        """This function will update the view/mview under schema node."""
+                                               sql_query,
+                                               view_name)
         view_response = views_utils.verify_view(self.server, self.db_name,
-                                                self.view_name)
+                                                view_name)
         if not view_response:
             raise Exception("Could not find the view to update.")
-        data = {"id": self.view_id,
-                "comment": "This is test comment"
-                }
+
+        data = {
+            "id": self.view_id,
+            "comment": "This is test comment"
+        }
         response = self.tester.put(
-            "{0}{1}/{2}/{3}/{4}/{5}".format(self.url, utils.SERVER_GROUP,
+            "{0}{1}/{2}/{3}/{4}/{5}".format(url, utils.SERVER_GROUP,
                                             self.server_id, self.db_id,
                                             self.schema_id, self.view_id
                                             ),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'mview',
+            'pgadmin.node.mview',
+            True,
+            'icon-view',
+            view_name
+        )
 
     def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/tests/__init__.py
index 7fce782d..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/__init__.py
@@ -6,10 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class DatabaseCreateTestCase(BaseTestGenerator):
-    def runTest(self):
-        return
